SET ECHO ON
SPOOL xPNBR#29239.lst

-- PNBR#29239 update waarde kenmerk telefoonnummer (key 281) naar het nieuwe beschrijving veld voor SIM kaarten
UPDATE   ins_deel d
   SET   d.ins_deel_opmerking =
            (SELECT   kd.ins_kenmerkdeel_waarde
               FROM   ins_kenmerkdeel kd
              WHERE       ins_kenmerkdeel_verwijder IS NULL
                      AND ins_kenmerk_key = 281
                      AND kd.ins_deel_key = d.ins_deel_key
                      AND ins_deel_verwijder IS NULL
                      AND ins_deel_opmerking IS NULL)
 WHERE   EXISTS
            (SELECT   1
               FROM   ins_kenmerkdeel kd
              WHERE       ins_kenmerkdeel_verwijder IS NULL
                      AND ins_kenmerk_key = 281
                      AND kd.ins_deel_key = d.ins_deel_key
                      AND ins_deel_verwijder IS NULL
                      AND ins_deel_opmerking IS NULL); 

COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;
/ 

SPOOL OFF
